<?php use_helper('UrlFunctions'); ?>
<script>

acutalizarEspecialidad = function(destino,elm){
  $(destino).options.length = 1;
  var url = '<?=buildUrl('ajax/request')?>';
  var pars = 'type=getEspecialidad&nombreElm='+destino+'&value='+elm.value;
  
	var myAjax = new Ajax.Request(
                            		url, 
                            		{
                            			method: 'get', 
                            			parameters: pars, 
                            			onComplete: actualizaJSON
                            		});
}

</script>
<script>
actualizaJSON = function(request, json){
  var numeroElementos = json.length;
  for (var i = 0; i < numeroElementos; i++){
    if($(json[i][0])){
  	  switch ($(json[i][0]).tagName){
  	    case 'TD'      : Element.update(json[i][0], json[i][1]); break;
  	    case 'INPUT'   : $(json[i][0]).value=json[i][1]; break;
  	    case 'SELECT'  : 
  	      var objDDL = $(json[i][0]);
  	      if(typeof(cont) == 'undefined'){
  	        var cont = 0;
  	        objDDL.options.length = 1;
  	      }
  	      var a_contentValues = json[i][1].split("_;_");
      		var value	= a_contentValues[0];
      		var text	= a_contentValues[1];
  	      var option	= new Option(text,value);
      		try{
      			objDDL.add(option,null);
      		}catch (e){
      			objDDL.add(option,-1);
      		}
  	      cont++;
  	    break;
  	  }
    }else{
      if(json[i][0].indexOf("function") > -1){
        eval("scriptEval = "+json[i][0]);
        scriptEval();
      }
    }
  }
}

actualizarMontoTardanza = function(destino,elm){
  var url = '<?=buildUrl('ajax/request')?>';
  var pars = 'type=getMontoTardanza&nombreElm='+destino+'&value='+elm.value;
  
	var myAjax = new Ajax.Request(
                            		url, 
                            		{
                            			method: 'get', 
                            			parameters: pars, 
                            			onComplete: actualizaJSON
                            		});
  destino = 'FechaTardanza';
  var url = '<?=buildUrl('ajax/request')?>';
  var pars = 'type=getFechaAbiertaOPE&nombreElm='+destino+'&value=<?=myUser::getUser()->getIdColaborador()?>';
  
	var myAjax = new Ajax.Request(
                            		url, 
                            		{
                            			method: 'get', 
                            			parameters: pars, 
                            			onComplete: actualizaJSON
                            		});
}
</script>
<?php
	 //Obtener Dia Abierto del balance diario
	
	  if(myUser::getUser()->getIdPadre()=="1"){
	  	$o_ColaboradorBean_Temp = new ColaboradorBean();
	  	$o_ColaboradorBean_Temp->setIdColaborador(myUser::getUser()->getIdColaborador()); 
	  	$o_ColaboradorBL_Temp = new ColaboradorBL();
	  	$o_ColaboradorBeanResult = $o_ColaboradorBL_Temp->busquedaColaborador($o_ColaboradorBean_Temp);
	  	$idAdministrador = $o_ColaboradorBeanResult[0]->getIdPadre();
	  	
	 }elseif(myUser::getUser()->getIdPadre() == "A"){ //Todos los Padres Rol actualmente sys.gen y sys.view
	 	//SIN FILTRO
	 	  
	 }else{
	  	$idAdministrador = myUser::getUser()->getIdColaborador();
	  	//echo myUser::getUser()->getIdColaborador();
	    //echo $idAdministrador."xxx";
	 }
	
	 if($idAdministrador){
		$o_SucursalBean = new SucursalBean();
		$o_SucursalBean->setIdAdministrador($idAdministrador);
		$o_SucursalBL = new SucursalBL();
		$a_o_sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);
		//----------------------------------------------------
		$IdSucursal = $a_o_sucursal[0]->getIdSucursal();
		
	 }
	$o_colaborador = new ColaboradorBean();
	$o_colaborador->setIdPadre($idAdministrador);

	$o_BalanceDia = new BalanceDiaBean();
	$o_BalanceDia->setIdSucursal($IdSucursal);
	
	
	$o_BalanceDiaDP = new BalanceDiaDP($o_BalanceDia);
	$fecha = $o_BalanceDiaDP->ObtenerDiaAbierto();
	
	
	if(isset($control)){
	 
		//--------------
			$o_crSucursalBean = new SucursalBean();
		$o_crSucursalBean->setIdAdministrador($cboColaborador);
		$o_crSucursalDP = new SucursalDP($o_crSucursalBean);
	  	$a_o_crSucursal = $o_crSucursalDP->select();
	  	
		if(count($a_o_crSucursal) >0){
			$i=1;
			foreach($a_o_crSucursal as $key => $o_crSucursal){
				$IdSucursal = $o_crSucursal->getIdSucursal();
			}
		}
		$o_BalanceDiaNew = new BalanceDiaBean();
		$o_BalanceDiaNew->setIdSucursal($IdSucursal); 
		
		
		$o_BalanceDiaNewDP 		= new BalanceDiaDP($o_BalanceDiaNew);
		$fechaBalanceAbierto  	= $o_BalanceDiaNewDP->ObtenerDiaAbierto();
		
		  $o_asistencia = new CrAsistenciaDP();
		   
		  $o_asistencia->setIdColaborador($cboColaborador);
		  $o_asistencia->setTipoAsistencia('T');
		  $o_asistencia->setEstado('A');
		  $o_crColaboradorBean = new ColaboradorBean();
		  
			$o_crColaboradorBean->setIdColaborador($cboColaborador);
			
			$o_crColaboradorDP = new ColaboradorDP($o_crColaboradorBean);
			$a_o_crColaborador = $o_crColaboradorDP->select();
			
			if(count($a_o_crColaborador) >0){
			$i=1;
			foreach($a_o_crColaborador as $key => $o_crColaborador){
				$IdRol = $o_crColaborador->getIdRol();
			}
			}
			$montoD = $Monto;
	
		  $o_asistencia->setMonto($montoD);
		  
		  
		  
		  $o_asistencia->setFecha($fechaBalanceAbierto);
		  $o_asistencia->setNumeroMinutos($NumeroMinutos);
		  $o_asistencia->setComentario($Comentario);
		  $o_asistencia->setUsuarioCreacion(myUser::getUser()->getUserId());
		  $o_asistencia->setFechaCreacion(date("Y-m-d H:i:s"));
		  $bResult = $o_asistencia ->save();
		
		//-----------
		
  
 	 if($bResult){
	    ?>
	    <script language="JavaScript">
	    parent.objMainTab.reqBody('<?=buildUrl('tardanza/list_res')?>','&block=002&insert=1&cod=<?=$o_asistencia->getIdAsistencia()?>');
	    parent.objMainTab.windowsCloseAll();
	    </script>
	    <?
  }else{
    $url = buildUrl('tardanza/add', "block=".$block."&error=1");
  }
  exit;
}
 $a_rol[] = 'sys.ope';
 $a_rol[] = 'sys.sup';
 $o_colaborador->setFiltroColaborador($a_rol);
 $o_colaborador->setEstado('A');
 $o_colaborador->sortCampos = "Apellido;Nombre";
 $o_colaborador->sortType = "1;1";
 $o_colaboradorDP = new ColaboradorDP($o_colaborador);
 $a_Colaborador = $o_colaboradorDP->select();

 ?>
 
<img src="/images/common/spacer.gif" width="10">
<table class="cuerpo" width="98%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td height="0">
      <table border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td class="titleBody">
            <li>Tardanza</li>
            <span class="subtitle"><I>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;:::&nbsp;Ficha de Tardanza</I></span></td>
          <td align="right" valign="baseline">&nbsp;</td>
        </tr>
      </table>
    </td>
  </tr>
      <script type="text/javascript">
        validatePass = function(){
          
            valid.onSubmit = false;
          
        }
      </script>
  <tr>
    <td valign="top">
      <form id="form1" name="form1" method="POST">
      <input type="hidden" name="control" value="1">
        <table hspace="20px" class="marco" width="99%">
          <tr>
            <td valign="top">
              <table width="100%" border="0" cellpadding="5" cellspacing="0" style="background: #E3E9E2">
          		<tr>
    				  <td height="0">
    				  <fieldset>
    					<legend class="fielsettex"><I>Datos Generales</I></legend>
    					 <table width="100%" border="0" cellspacing="6" cellpadding="0">
							  <tr>
                  					<td nowrap="nowrap" width="10%" class="cabecera"><label class="label req" for="txtAdministrador" >Representantes</label></td>
  								 	<td nowrap="nowrap"><select class="combo validate-selection " name="cboColaborador" id="cboColaborador"  onchange="actualizarMontoTardanza('Monto',this)"  >
					                  <option value="" > - Seleccionar - </option>
					                  <?php foreach ($a_Colaborador as $iKey => $o_ColaboradorBean){ ?>
					                  <option value="<?=$o_ColaboradorBean->getIdColaborador()?>">
					                    <?=$o_ColaboradorBean->getNombreCompleto()?>
					                  </option>
					                  <?php } ?>
					                </select>
					               </td>
					          </tr>
					          <tr>
                					
                 					<td nowrap="nowrap" width="10%" class="cabecera"><label class="label req" for="txtMonto" >Monto</label></td>
  									<td nowrap="nowrap">
  									<select name="Monto" id="Monto" class="combo required">
  										<option value="">Seleccione</option>
  									</select>
  									</td>
							  </tr>
							 
							 <tr>
								
								 <td width="12%" nowrap="nowrap" class="cabecera"><label class="label req" for="txtFecha" >F. Tardanza</label></td>
								 <td nowrap="nowrap" id="FechaTardanza"  class="label req"></td>
							  </tr>
							  
							   <tr>
									<td nowrap="nowrap" width="12%" class="cabecera"><label class="label" for="txtDireccion">Comemtario</label></td>
									<td nowrap="nowrap" width="38%"><textarea  name="Comentario" id="Comentario" cols="50" rows="2"></textarea></td>
							  </tr>
							  	 
						</table>
						 <table width="100%" border="0" cellspacing="0" cellpadding="0">
							  <tr>
								 <td><img src="/images/common/spacer.gif" width="10"></td>
							  </tr>
							  <tr>
								<td align="center">
								  <input type="hidden" name="typeSubmit" id="typeSubmit">
								  <!--<input class="button" type="submit" value="Grabar y Nuevo" onclick="$('typeSubmit').value='add';"/>-->
								  <input class="button" type="submit" value="Grabar" onclick="$('typeSubmit').value='list';">
								  <input class="button" type="button" value="Cancelar" onclick="parent.objMainTab.windowsCloseAll();"/>
								</td>
							  </tr>
							  <tr>
								<td height="10">&nbsp;</td>
							  </tr>
							</table>
    					</fieldset>				
    				</td>
                </tr>
      </table>
      </form>
			<script type="text/javascript">
				var valid = new Validation('form1', {immediate : true});
			</script>
    </td>
  </tr>
</table>
